| Home | Libraries | People | FAQ | More

## Struct template bitwise_or

boost::mpi::bitwise_or — Compute the bitwise OR of two integral values.

## Synopsis

    template<typename T>
    struct bitwise_or {

      // public member functions
      T operator()(const T &, const T &) const;
    };

## Description

This binary function object computes the bitwise OR of the two values it is given. When used with MPI and a type `T` that has an associated, built-in MPI data type, translates to `MPI_BOR`.

### `bitwise_or` public member functions

1.     T operator()(const T & x, const T & y) const;

   Returns: | the `x` | y.